Skip to main content

Apilog API

SaaSus ApiLog API Schema (1.0.0)

SaaSus ApiLog API Schema

apiLog

API execution log

Get API execution log list

Retrieve the log of all API executions.

Authorizations:
Bearer
query Parameters
created_date
string <date>

The date, in format of YYYY-MM-DD, to retrieve the log.

created_at
string <date-time>

The datetime, in ISO 8601 format, to retrieve the log. Cannot be specified together with start_at/end_at.

limit
integer <int64> >= 1

Maximum number of logs to retrieve.

start_at
integer <int64>

The start of the search range as an epoch second timestamp. Used for range search. Cannot be specified together with created_at. When specified, created_date is ignored.

end_at
integer <int64>

The end of the search range as an epoch second timestamp. Used for range search. Cannot be specified together with created_at. When specified, created_date is ignored.

cursor
string

Cursor for cursor pagination.

Responses

Response samples

Content type
application/json
{
  • "api_logs": [
    ],
  • "cursor": "string"
}

Get API execution log

Retrieve the log of the API execution with the specified ID.

Authorizations:
Bearer
path Parameters
api_log_id
required
string (Uuid)
Example: 69e732d6-8ecc-45c4-c2eb-8438f7ffe775

API Log ID

Responses

Response samples

Content type
application/json
{
  • "trace_id": "69e732d6-8ecc-45c4-c2eb-8438f7ffe775",
  • "api_log_id": "69e732d6-8ecc-45c4-c2eb-8438f7ffe775",
  • "created_at": 1670997124,
  • "created_date": "2022-12-14",
  • "ttl": 1670997124,
  • "request_method": "GET",
  • "saas_id": "69e732d6-8ecc-45c4-c2eb-8438f7ffe775",
  • "api_key": "icFS9Hit7jZjeSKMbNZP2cmfqBseyxnJZ",
  • "response_status": 200,
  • "request_uri": "/v1/auth/tenants",
  • "remote_address": "192.168.0.20",
  • "referer": "/v1/auth/user_info",
  • "request_body": "{\"name\":\"1207 Tenant\",\"back_office_staff_email\":\"example.com\"}",
  • "response_body": "{\"id\": \"98684c58-ca59-4046-9c2a-861ef6f12dd4\", \"name\":\"1207 Tenant\"}"
}